:root{
    --principal: #0A58A4;
    --alt: #E54B10;
}

*{
    margin: 0;
    padding: 0;
}

html, body{
    height: auto;
}

.btn-primary{
    background-color: var(--principal);
    border-color: var(--principal);
}

.hidden{
    display: none !important;
}

h4{
    color: #D2450E;
    margin-bottom: 20px;
    margin-top: 20px;
}

a{
    color: var(--principal);
}

#portada{
    height: 100%;
    width: 100%;
    background-image: url(../img/tanques.webp);
    background-position: center;
    background-size: cover;   
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

#portada > div{
    width: 70%;
    max-width: 600px;
    background-color: rgba(0, 0, 0, .6);
    padding: 40px;
    box-sizing: border-box;
    border-radius: 20px;
    color: white;
}

.principal{
    height: 100vh;
    height: auto;
    /* display: flex; */
    overflow: auto;
}

.navegacion{
    background-color: #053665;
    height: 100vh;
    width: auto;
    max-width: 250px;
    color: white;
    padding-top: 20px;
    display: flex;
    flex-wrap: wrap;
    position: fixed;
    justify-content: center;
    box-shadow: rgba(0, 0, 0, 0.2) 3px 0px 5px;
    top: 0;
    left: 0;
    right: 0;
    z-index: 5;
}

.navegacion.collapsed, .contenido.collapsed {
    transform: translateX(-200px);
}



#toggle-btn {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 10;
    background-color: transparent;
    color: white;
    border: none;
    transform: translate(-50%, -50%);
    outline: none;
}

#toggle-btn:focus {
    box-shadow: none;
}

.navegacion.collapsed #toggle-btn {
    left: 90%; /* Asegura que el botón permanezca visible al colapsar */
}

.toggle-navegacion{

}

.navegacion > div{
    width: 100%;
    padding-left: 30px;
}
.navegacion a{
    color: white;
}

.toggle-navegacion{
    height: 30px;
    position: absolute;

}

#bienvenido{
    /* text-align: center; */
    position: relative;
    margin-top: 60px;
}

.items-navegacion{
    padding-left: 30px;
}

.items-navegacion a{
    display: block;
    margin-bottom: 10px;
}

.items-navegacion a:hover, .cerrar-sesion-navegacion a:hover{
    color: #0A58A4;
    text-decoration: none;

}

.items-navegacion i{
    margin-right: 10px;
    color: rgba(255, 255, 255, .3);
}

.cerrar-sesion-navegacion{
    width: 100%;
    height: auto;
}

.cerrar-sesion-navegacion select{
    display: block;
}

.contenido{
    width: 100%;
    padding-left: 30px;
    padding-top: 50px;
    max-width: calc(100% - 25%);
    padding-bottom: 20px;
    margin-left: 250px;
}


.contenido-encabezado{
    margin-bottom: 50px;
    position: relative;
}

.contenido-encabezado h2{
    display: inline-block;
}

.status{
    color: white;
}

.disponible, .vigente{
    background-color: #0A58A4;
}

.vendido{
    background-color: #1BA345;
}

.renta, .cancelado{
    background-color: #E84D0F;
}

.finalizado{
    background-color: #6C757E;
}

.renovado{
    background-color: #C89900;
}

.tabla-opciones {
    text-align: center;
}

.tabla-opciones i{
    text-align: center;
    cursor: pointer;
    margin-right: 10px;
    color: var(--principal);

}

.tabla-opciones a{
    text-decoration: none;
    color: var(--principal);
}

.contenido-regresar, .contenido-crear{
    float: right;
}

.contenido-cuerpo{
    position: relative;
}

.signature{
    height: 100px;
    max-width: 350px;
    width: 100%;
}

.signature-div{
    display: flex;
    align-items: center;
    column-gap: 20px;
}

#mostrar-firma .col{
    text-align: center;
}

#mostrar-firma h3{
    text-align: left;
}

.alert{
    position: fixed;
    bottom: 0;
    right: 0;
    margin-bottom: 0;
    z-index: 5;
}

.alert p{
    display: inline-block;
    margin-bottom: 0px;
}

.opciones-enlaces{
    display: flex;
    column-gap: 50px;
}

.archivo{
    width: 100% !important;
    height: 400px;
}

.card-header{
    background-color: var(--principal);
}

.card-header .btn-link{
    color: white;
}

.card-body{
    padding-left: 30px;
}

.table{
    border-color: var(--principal);
    border: 1px solid var(--principal);
}

.total{
    background-color: var(--principal);
    color: white;
}

#orden-venta-tabla{
    margin: 30px 0;
}

.datalist{
    width: 100%;
    display: none;
    border: 1px solid var(--principal);
    padding: 5px 10px 5px 10px;
    max-height: 150px;
    overflow: auto;
}

.datalist p{
    margin-bottom: 4px;
    cursor: pointer;
    padding: 5px;
}

.datalist p:hover{
    background-color: var(--principal);
    color: white;
}

.borrar-campos{
    cursor: pointer;
}

#firmaCanvas{
    border: 2px solid var(--principal);
}

canvas{
    max-width: 100%;
}

table tr{
    position: relative;
}

.quitar{
    position: absolute;
    left: 0;
    background-color: red;
    border-radius: 20px;
    color: white;
    font-size: 10px;
    padding: 5px 10px;
    box-sizing: border-box;
    left: -20px;
    top: 0px;
    cursor: pointer;
}

.totalLabel{
    background-color: var(--principal);
    color: white;
}

.loader {
    width: 25px;
    padding: 4px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #0A58A4;
    --_m: 
      conic-gradient(#0000 10%,#000),
      linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
            mask: var(--_m);
    -webkit-mask-composite: source-out;
            mask-composite: subtract;
    animation: l3 1s infinite linear;
}

.loader-alt{
    background: white;
}

#loader-data{
    position: absolute;
    left: 0;
}

.archivos-existentes > .form-group > label{
    font-weight: bold;
}

@keyframes l3 {to{transform: rotate(1turn)}}

/**************************/
.estatus{
    padding: 5px;
    border-radius: 20px;
    font-size: .9rem;
    margin-left: 5px;
} 

.estatus-danger{
    background-color: #DC3545;
    color: white;
}

.estatus-ok{
    background-color: #28A745;
    color: white;
}

.estatus-warning{
    background-color: #6C757D;
    color: white;
}

.estatus-info{
    background-color: #17A2B8;
    color: white;
}


.custom-file-label::after{
    content:"Clic aquí";
}